qscan(1)

NAME
qscan - console tool for quality measurement of optical media

SYNOPSIS
qscan [-l] [-h]
qscan -d DEVICE [-S] [-i] [-m]
qscan -d DEVICE [-p] [-r] [-w] [-v]
qscan -d DEVICE [-f] [-s] [-t] [-v]
qscan -d DEVICE -t wt [-s #] [-W]

DESCRIPTION
qscan is the linux console tool for error correction measuring with optical devices. The related plugin allows one to use vendor specific commands on your optical device. Currently supported vendors are Asus, Benq, Liteon, NEC, Pioneer and Plextor. For detailed information look at http://qpxtool.sourceforge.net/supported.html

DEVICE
can be an IDE, SCSI, SATA, USB or FireWire connected optical drive. Not all SATA controller support all Plextor features. Linux:
/dev/hdX: IDE device
/dev/scdX: Linux 2.4: SATA, SCSI, USB device, or IDE device via ide-scsi emulation
/dev/srX: Linux 2.6: IDE device via new ATA layer, SCSI or USB device
OpenBSD/NetBSD:
/dev/rcdX
FreeBSD:
/dev/cd: SCSI device
/dev/acd: ATA device
MacOS X:
/dev/disk:
win32:
C:,D:,E:, ... X:,Y:,Z:

OPTIONS
-l, --scanbus
        scan busses for all available optical devices -h, --help
        show help

-S, --speeds
        detect available read and write speeds for selected -d DEVICE and the relating media -i, --info
        show device info of selected -d DEVICE -m, --media
        show media info of selected -d DEVICE -p, --plugins
        list all available plugins -f, --force-plugin PLUGIN [ ASUS | BENQ | BENQ_DVDROM |GENERIC |LITEON |NEC |PIONEER |PLEXTOR ]
        force usage of the selected plugin to use the vendor specific commands for the slected device.
        Default behaviour auto detection modus.
    [ASUS]    use Asus vendor specific commands
    [BENQ]    use Benq optical writer vendor specific commands
    [BENQ_DVDROM]    use Benq optical reader vendor specific commands
    [GENERIC]    use generic mmc commands
    [LITEON]    use Liteon vendor specific commands
    [NEC]    use NEC vendor specific commands
    [PIONEER]    use Pioneer vendor specific commands
    [PLEXTOR]    use Plextor vendor specific commands
-r #, --rspeed #
        set read performance speed to selected value.
        Use -S option before, if you are unsure which speeds are supported

-s #, --speed #
        set measurement speed to selected value.
        Use -S option before, if you don't know what speeds are supported by your device.
        Don't use this with -r or -w option. -t, --test [rt|wt|errc|ft|jb|ta]
        select the q-check you want to be proceeded. Not all tests are supported by all devices.
        For detailed information about the terms read the project page:
        http://qpxtool.sourceforge.net/glossar.html
    [rt]    read transfer rate measurement
    [wt]    write transfer rate on blank media
    [errc]    errror correction - Cx-scan / PIE, PIF, POE, POF
    [ft]     focus and tracking error measurement
    [jb]    jitter and beta measurement
    [ta]    time analyzer measurement
-w #, --wspeed #
        set write speed to selected value.
        Use -S option before, if you don't know what write speeds are supported by your device.

-v, --verbose
        gives verbose output and debug information -W, --write
        perform real write instead simulation for write transfer rate

EXAMPLES
qscan -l
        scan all buses for availabale optical devices qscan -d /dev/sr2 -S
        Show available speed steps of device /dev/sr2. qscan -d /dev/sr2 -t errc -s 5
        Proceed an error correction scan on device /dev/sr2 with 5x speed. qscan -d /dev/sr0 -t wt -s 12
        Proceed a write performance test in simulation mode on device /dev/sr0 (dummy mode) with 12x speed please report man page improvements to T.Maguin@web.de